#include <iostream>
#include "QQbar_threshold/load_grid.hpp"
#include "QQbar_threshold/xsection.hpp"
#include "QQbar_threshold/threshold.hpp"

int main(){
  namespace QQt = QQbar_threshold;
  QQt::load_grid(QQt::grid_directory() + "bbbar_grid.tsv");
  std::cout
    << bbbar_xsection(QQt::threshold()+1e-3, 4.5, 4.5, QQt::N3LO)
    // equivalent to
    // << QQt::bbbar_xsection(
    //     QQt::bbbar_threshold(4.5, 4.5, QQt::N3LO) + 1e-3,
    //     4.5, 4.5, QQt::N3LO
    // )
    << '\n';
}
