#include "QQbar_threshold/load_grid.hpp"
#include "QQbar_threshold/xsection.hpp"
#include <iostream>

int main(){
  namespace QQt = QQbar_threshold;
  QQt::load_grid(QQt::grid_directory() + "ttbar_grid.tsv");
  auto range = QQt::grid_range();
  std::cout << "Et range: (" << range.Et_min
            << ", " << range.Et_max << ")\n";
  std::cout << "Gammat range: (" << range.Gammat_min
            << ", " << range.Gammat_max << ")\n";
}
